Subject: Re: OF NDFC

From: Segher Boessenkool <[email-masked]>
Date: Thu, 6 Sep 2007 16:06:20 +0200

>> AFAIK, NAND flash is autodetected by reading it's ID at runtime, so
>> there should be no need for flash bindings.
>
> Well, I'm not really sure.  CFI and JEDEC can both be probed as well,
> and we're working on a binding there.

JEDEC cannot be reliably probed.  CFI can be _almost_ probed,
you need to know the interleaving though, to handle some edge
cases.  Oh, and you need to know it _is_ CFI, of course.

> But if you think you can come up
> with a driver for NDFC that doesn't require some kind of device tree
> description of the devices it controls, then by all means go for it.

I don't know whether NAND can be reliably probed; most "standard"
NAND devices can be, but I don't know what standards are involved
here, if any.  We'll need some MTD people help here.

OTOH, it definitely is better to describe only the NAND controller
and not the devices, than to put nothing at all in the device tree.
We had this same situation with NOR flash before, already...

Segher